Bug 59538 - traceback in "neat"
traceback in "neat"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-09 15:47 EST by Inger Karin Haarbye
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 15:47:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Inger Karin Haarbye 2002-02-09 15:47:09 EST
Description of Problem: 
Hampton Beta1. "redhat-config-network" or "neat" causes traceback with following message: 
 
[inger@rigel inger]$ redhat-config-network 
Password: 
/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py:154: DeprecationWarn                                                              
ing: the regex module is deprecated; please use the re module 
  from regex import * 
/usr/lib/python2.2/regsub.py:15: DeprecationWarning: the regsub module is deprec                                                              
ated; please use re.sub() 
  DeprecationWarning) 
Traceback (most recent call last): 
  File "/usr/sbin/neat", line 48, in ? 
    from netconfpkg import * 
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/__init__.py", line 3                                                              
0, in ? 
    exec cmd 
  File "<string>", line 1, in ? 
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 158,                                                               
in ? 
    import PasswordCrypt 
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/PasswordCrypt.py", l                                                              
ine 20, in ? 
    import rand 
ImportError: No module named rand 
[inger@rigel inger]$ 
 
 
 
 
Version-Release number of selected component (if applicable): 
redhat-config-network-0.9.11-1 
 
 
How Reproducible: 
 
every time 
 
 
Steps to Reproduce: 
1. in KDE, the kconsole, typing "neat" or "redhat-config-network" 
2. type root-password when asked 
 
 
Actual result: traceback as described 
 
Expected Results: 
the neat-gui 
 
 
Additional Information:
Comment 1 Trond Eivind Glomsrxd 2002-02-11 12:02:33 EST
That one was fixed in CVS a week or two ago, but it's still known not to work in
Rawhide as the GUIs hasn't been migrated. It's in development.

Note You need to log in before you can comment on or make changes to this bug.